\section{DebConf: the power of community}
\label{sec:community_power}

\person{Andreas Schuldei}{Main organiser}
We had already started thinking about DebConf6\- during DebConf5\-. We knew
that it would take place in Mexico, and knew that Gunnar Wolf would be the
local head honcho. Based on the location we quickly settled on the ``hot
and spicy'' motto, and left it at that for then.

As a major goal for the coming years we aimed to have future
DebConf local organisers involved in the DebConf previous to theirs, in
order to avoid surprises and incorrect expectations, as well as to spread
knowledge broadly.

To make that work better we started using a project planning tool. It
made it easier to understand the interdependencies of our milestones
and deadlines and the complexity of a DebConf.

\begin{quotation}
  \textbf{\dots true to the ``hot and spicy'' motto we ended up with a
  lot of chili.}
\end{quotation}
As one of the early steps we asked people to make suggestions for a
logo and a consistent design for DebConf6, that would decorate the
website, proceedings, banners, t-shirts, name tags etc. The goal was to
have more of a ``corporate identity'' and a better recognition rate.
True to the ``hot and spicy'' motto we ended up with a lot of chili.

\begin{figure}[h]
\includegraphics[width=\columnwidth]{images/photos/maulkin_formal_dinner}
\imcap{Formal dinner}
\end{figure}
During DebConf5 we collected attendees' experiences and a long list of
wish-list items for our conference management system ``Comas'', so that we
knew precisely how we wanted to improve it. This and the website
were the other early requirements that needed to be in place
to let us open registration and to allow paper submissions for
the talks.

In order to  lighten the burden on the local  lead organiser, who also
happened to be  the author of the conference  management system (CMS),
we  tried to  recruit  volunteers knowledgeable  about  Perl who  were
willing  to help out  with the  required features  of the  CMS\dots with
little success. Most features never got implemented and those critical
functions  we critically  required were  usually added  as last-second
hacks by  overloaded helpers. In  one case that resulted  in budgeting
problems,  because people who  had requested  food were  not accounted
for.

On the sponsorship front there was a humiliating slip-up, too: due
to miscommunication and an extreme case of bad reachability, one
sponsor thought he promised us 5~000 USD while we thought we would
get 45~000 USD. Last minute efforts managed to more than compensate
for that, though.

Another big sponsor had problems transferring money to our
account both in Mexico and in the US, and it arrived only after
the conference was long over.

\begin{quotation}
  \textbf{The conference itself was perceived differently by organisers and
    participants.}
\end{quotation}
Another kind of battle was fought with very little public attention:
some attendees were not approved for visas until the very last moment,
making it impossible for them to attend.

The Latin American way of dynamic last minute decision-making
made the long-term budget planning challenging in parts. We had a
hard time predicting how much the day trip, buses, formal
dinner, insurance and numerous other items would actually cost.
While the ``last minute'' approach made life for the non-Mexican organisers
harder, the ``dynamic'' part played for us, as all items came out
cheaper then expected. 

The conference itself was perceived differently by organisers and
participants. Most of the surprises were caught in time and could
be defused by the tightly-cooperating team. Volunteers for
network and conference management system hacking popped up when
they were needed and helped out with a surprising diligence, with the
enthusiasm and excellence that we were used to within the Debian
crowd.  The organisers responsible for accommodation planning and
communication with the hotel worked hard to keep the number of
used hotel rooms to a minimum and smoothed out incidents of
night-time skinny dipping and drinking, and unexpected singing.

In comparison with earlier Debian conferences this one placed a higher
load on the organiser team than we expected. The number of
local volunteers was lower than at earlier events, and the
hotel did not carry as much of the workload as earlier hotels had
done.

The resulting workload turned out to be significant for a few people, and
led to exhaustion and signs of burnout in some cases.

For the participants, though, these efforts managed to make the conference
a smooth and pleasant event. The marvellous hotel
facilities, with swimming pool, diving tower and gardens, the nearby
market, and friendly Mexicans, were a wonderful setting for
the Debian community to interact and prosper in the usual way:
lots of discussions, talks, BOFs on technical topics, as well as
all those one-on-one meetings with people that you had not met in
person for a long time, if ever, and bonding in new ways and on
a more personal level then is possible over the net. The goal
of an inspiring and motivating conference for the people
making Debian happen was fully achieved. 

The surprises that made it past the organisers to the
participants, like initial network hiccups, or the rain and the
power outage at the formal dinner (along with the other unplanned
events there), only made the event more memorable for everyone and
were handled very gracefully and tolerantly by the crowd.

\begin{quotation}
  \textbf{For the participants these efforts managed to make the conference
    a smooth and pleasant event.}
\end{quotation}

I would like to thank the skilled, dedicated and enthusiastic
DebConf crew for working so hard and making this event
happen. I would like to thank the Debian community for attending
and making the event into the inspiring, fun and uplifting one it
turned out to be. I would like to thank the sponsors that
provided the resources so that Debian could once more have a
DebConf with so many attendees in such a nice location. Yay!
